---
schema_version: "1"
id: 981b5d37b251669d263f22887cc8f14f099d21c24f761a9a6db3f3d90ff8eb3c
title: Enabling and Disabling a Public Portal
collection: mulesoft
version: current
locale: en-us
portal_url: https://docs.salesforce.com/mulesoft/current/en-us/exchange/enable-and-disable-a-public-portal.md
canonical_url: https://docs.mulesoft.com/exchange/enable-and-disable-a-public-portal
source_site: docs.mulesoft.com
content_type: documentation
content_hash: 702b488cd26f8e9e52ae38bcf9900d5946db4b35f5b299e358ad0185f21b0048
description: MuleSoft Documentation Site
latest: true
---
---
product: Exchange
---

# Enabling and Disabling a Public Portal

> For the full documentation index, see: https://docs.mulesoft.com/llms.txt

All public portals in Exchange are enabled by default. You can sign in to your portal, view assets,
and share new assets. Enabled portals do not require authorization to view asset details or download
a specification. If you do not want the portal to be publicly shared, you can manually disable it.
You must be an Exchange administrator to enable or disable a public portal.

> [!NOTE] The code examples for enabling and disabling a public portal show you how to obtain an
> access token with Multi-Factor Authentication (MFA) disabled.

To determine whether your public portal is enable or disable, use the following request:

curl "https://anypoint.mulesoft.com/exchange/api/v2/portals/YOUR\_ORGANIZATION\_DOMAIN/status"

## Enable a Public Portal

To start using your organization’s public portal and sharing assets publicly, you must enable the
portal.

1.  Get an access token from an Anypoint Platform user account that has the Organization
    Administrator permission in the root organization:

    ```console
    ACCESS_TOKEN=$(curl https://anypoint.mulesoft.com/accounts/login -XPOST -d "username=YOUR_USERNAME&password=YOUR_PASSWORD" | jq -r ".access_token")
    ```

2.  Use the access token to change the status of your organization’s public portal to enabled
    status:

    curl -X PUT
    https://anypoint.mulesoft.com/exchange/api/v2/portals/YOUR\_ORGANIZATION\_DOMAIN/status -d
    "enabled" -H "content-type: text/plain" -H "authorization: bearer $ACCESS\_TOKEN"

## Disable a Public Portal

If you do not want to publicly share any information about your assets, disable your public portal.

**Note**: To disable your organization’s public portal, all the assets that are shared in the public
portal must be set to private. See
[Remove an Asset from a Public Portal](https://docs.mulesoft.com/exchange/to-share-api-asset-to-portal#remove-an-asset-from-a-public-portal)
for instructions.

To view which assets are shared in the public portal, use the following request:

```console
curl 'https://anypoint.mulesoft.com/exchange/api/v2/portals/YOUR_ORGANIZATION_DOMAIN/assets' | jq '.[] | [.groupId,.assetId]'
```

To disable a public portal:

1.  Ensure that all assets are private.

2.  Get an access token from an Anypoint Platform user account that has the Organization
    Administrator permission in the root organization:

    ```console
    ACCESS_TOKEN=$(curl https://anypoint.mulesoft.com/accounts/login -XPOST -d "username=YOUR_USERNAME&password=YOUR_PASSWORD" | jq -r ".access_token")
    ```

3.  Use the following access token to change the status of your organization’s public portal to
    enabled:

    ```console
    curl -X PUT https://anypoint.mulesoft.com/exchange/api/v2/portals/YOUR_ORGANIZATION_DOMAIN/status -d "disabled" -H "content-type: text/plain" -H "authorization: bearer $ACCESS_TOKEN"
    ```

## See Also

- [Customizing an Exchange Public Portal](https://docs.mulesoft.com/exchange/to-customize-portal)
